#
# spec file for package Summerfield-Books (Version 20100222)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           Summerfield-Books
Version:        20100222
Release:        4.85
Summary:        QT & Python Books by Mark Summerfield
License:        Open Publication License
Url:            http://www.qtrac.eu/marksummerfield.html
Group:          Applications/Text
Source0:        http://www.qtrac.eu/C++-GUI-Programming-with-Qt-4-1st-ed.zip
Source1:        http://www.qtrac.eu/C++-GUI-Programming-with-Qt-3.zip
Source2:        http://ptgmedia.pearsoncmg.com/imprint_downloads/informit/promotions/python/python2python3.pdf
Source3:        http://www.informit.com/content/images/9780132354165/samplepages/0132354160_Sample.pdf
Source4:        python2python3.desktop
Source5:        c++_gui_programming_with_qt.desktop
Recommends:     xdg-utils
BuildRequires:  unzip
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
NoSource: 0
NoSource: 1
NoSource: 2
NoSource: 3

%description
C++ GUI Programming with Qt 4 (First Edition) (ISBN 0131872494) by Jasmin
Blanchette & Mark Summerfield. This book is available in PDF format under the
Open Publication License, PDF in a ZIP (5.6 MB, unzips to 51 MB).

C++ GUI Programming with Qt 3 (ISBN 0131240722) by Jasmin Blanchette & Mark
Summerfield. This book is available in PDF format under the Open Publication
License, PDF in a ZIP (2.4 MB, unzips to 32 MB)

Moving from Python 2 to Python 3 a "cheat sheet" for Python 2 programmers
written for InformIT (PDF, 676K)

Author: Mark Summerfield
	Jasmin Blanchette

%prep
%setup -c -T
cp %{SOURCE0} .
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE3} .


%build
unzip *ed.zip
unzip *3.zip

%install
# create desktop entries
%{__mkdir_p} %{buildroot}%{_datadir}/{applications,pixmaps}
##%{__install} -m 644 %{SOURCE} %{buildroot}%{_datadir}/pixmaps/
%suse_update_desktop_file -i python2python3
%suse_update_desktop_file -i c++_gui_programming_with_qt
# entry for susehelp
mkdir -p %{buildroot}%{_datadir}/susehelp/meta/{python2python3,c++_with_qt4}
%{__install} -m 644 %{SOURCE4} %{buildroot}%{_datadir}/susehelp/meta/python2python3/
%{__install} -m 644 %{SOURCE5} %{buildroot}%{_datadir}/susehelp/meta/c++_with_qt4/

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.pdf
%dir %{_datadir}/susehelp
%dir %{_datadir}/susehelp/meta
%dir %{_datadir}/susehelp/meta/python2python3
%dir %{_datadir}/susehelp/meta/c++_with_qt4
%{_datadir}/susehelp/meta/python2python3
%{_datadir}/susehelp/meta/c++_with_qt4
# %{_datadir}/pixmaps/*
%{_datadir}/applications/*


%changelog
* Mon Feb 22 2010 jw@novell.com
- copied free PDF files from http://www.qtrac.eu/marksummerfield.html
